Bug 152299 - (xfwm4) upstream CVS has fix for focus bug
Summary: (xfwm4) upstream CVS has fix for focus bug
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xfwm4 (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-03-27 22:19 UTC by Ed Hill
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version: xfwm4-4.2.1-5.fc4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-03-28 04:57:49 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
change specfile to use more recent source from CVS (1.08 KB, patch)
2005-03-27 22:19 UTC, Ed Hill
no flags Details | Diff
xfwm4-focus-bug.patch (4.44 KB, patch)
2005-03-28 04:31 UTC, Kevin Fenzi
no flags Details | Diff
Changes to xfwm4.spec file (414 bytes, patch)
2005-03-28 04:33 UTC, Kevin Fenzi
no flags Details | Diff

Description Ed Hill 2005-03-27 22:19:31 UTC
Description of problem:
focus bug:  http://bugzilla.xfce.org/show_bug.cgi?id=869

Version-Release number of selected component (if applicable):
xfwm4 - 4.2.1

How reproducible:
always

Steps to Reproduce:
1. see xfce bugzilla

Comment 1 Ed Hill 2005-03-27 22:19:31 UTC
Created attachment 112379 [details]
change specfile to use more recent source from CVS

Comment 2 Kevin Fenzi 2005-03-28 04:30:06 UTC
I have pulled the fix for the focus issue out of the CVS version. 
While there aren't too many changes there are a few, so I think it would be
better to go with a small patch rather than rebase to the CVS version. 

I have attached the patch and proposed changes to spec file. 

Binary and srpms are available from: 
http://www.scrye.com/~kevin/fedora-extras/

Can you confirm if the version there with this patch fixes your issue?

Comment 3 Kevin Fenzi 2005-03-28 04:31:44 UTC
Created attachment 112381 [details]
xfwm4-focus-bug.patch

pulled out of cvs patch for focus bug.

Comment 4 Kevin Fenzi 2005-03-28 04:33:01 UTC
Created attachment 112382 [details]
Changes to xfwm4.spec file

Changes to add new patch to xfwm4.spec file

Comment 5 Ed Hill 2005-03-28 04:50:30 UTC
I tried the RPM at:

  http://www.scrye.com/~kevin/fedora-extras/fc3-rpms/xfwm4-4.2.1-5.fc4.i386.rpm

and the focus problem is now gone.  Thank you!


Note You need to log in before you can comment on or make changes to this bug.